unit NeoLib;

{$mode objfpc}{$H+}

interface

const
  LED                        = 1 shl 3;
  _RST                       = 410;
//  _RST                       = 2300;

var Data                     : array [0..23] of char;


procedure Set_IO;

procedure Set_LED(g, r, b: byte);

implementation

uses
  ufunction;

procedure Set_IO;
var a: byte;
begin
  DDRB                       := DDRB or LED;
  PORTB                      := PORTB or LED;
end;

procedure Set_LED(g, r, b: byte);
var a                        : byte;
begin
// Laufgröße der WS2812B
//  for a:= 23 downto 0 do Data[a]:= '0';

  for a := 0 to 7 do begin
    if (g and (1 shl a)) > 0
    then Data[7-a] := '1' else Data[7-a] := '0';
    if (r and (1 shl a)) > 0
    then Data[15-a] := '1' else Data[15-a] := '0';
    if (b and (1 shl a)) > 0
    then Data[23-a] := '1' else Data[23-a] := '0';
{    if Rest mod 2 = 0 then begin
      g := g div 2;
      Data[a] := '0';
      end
    else begin
      g := g div 2;
      Data[a] := '1';
      end;}
    end;
end;

end.

