unit uconst_v08_04052021;

{$ifdef CPUi386}
  {$ifdef CPUARM}
    {$mode objfpc}{$H+}
  {$endif}
{$endif}

interface

{$ifdef CPU64}
uses
  Classes, comctrls, Controls, Graphics, SysUtils;

var _Input                   : Byte;

Const

{*******************************************************************************
**                            Gennerelle Constanten                           **
**                                   Key                                      **
*******************************************************************************}

  GPShortkay_ESC             = 27;
  PShortkey_Enter            = 13;

  GShortkey_OK               = 32847;
  GPShortkey_Abbrechen       = 32833;

  GPShortkey_Help            : array [1..2] of Word = (32988, 32840);


{*******************************************************************************
**                            Gennerelle Constanten                           **
**                               Standart Button                              **
*******************************************************************************}

  G_Button                   : record
    Hint, Text               : array     [1..3] of String;
    W                        : array     [1..3] of Byte;
    end                      = (Hint:    ('ALT+O', 'ALT+B', 'ALT+H');
                                Text:    ('&Ok', 'A&bbrechen', '&Hilfe');
                                W:       ( 70,  80,  70));

  G_PG                       : record
    Align                    : TAlign;
    T_Pos                    : TTabPosition;
    end                      = (Align: (alClient);
                                T_Pos: (tpTop));

  Tray_F_Set                 : record
    Text                     : String;
    H, L, T, W               : word;
    end                      = (Text:    ('Programminformationen');
                                H:       (240);
                                L:       (100);
                                T:       ( 20);
                                W:       (320));

  Tray_Button                : record
    L, T                     : array     [1..3] of word;
    end                      = (L:       ( 16, 112, 216);
                                T:       (170, 170, 170));

  Tray_CB                    : record
    L, T                     : word;
    Text                     : String;
    Checked                  : Boolean;
    end                      = (L:       ( 16);
                                T:       (200);
                                Text:    ('&Trayicon beim Start anzeigen');
                                Checked: (false));

  Tray_PMI                   : record
    Text                     : array     [1..2] of String;
    Checked                  : array     [1..2] of Boolean;
    end                      = (Text:    ('&Popupmenü immer zeigen', '&Übersicht anzeigen');
                                Checked: (false, false));

  Tray_MMI                   : array    [1..2] of String= ('&Einstellungen', ' ');

{*******************************************************************************
**                          QR - Barcode f. QR-Gen. Taas                      **
*******************************************************************************}

TGen_01_QR                   : record
  L, T, W, H                 : array [0..3] of word;
  col                        : array [0..1] of TColor;
  end                        = (L:   (224, 224,  10,  10);
                                T:   (144, 144,  10,  10);
                                W:   ( 88,  44,  88,  44);
                                H:   ( 88,  44,  88,  44);
                                col: (clgray, clblue));
{$endif}

{$ifdef cpuavr}

const
  AVR_Scan                   : ShortString = '0>';
  TWI                        : ShortString = '#TWI#';
  PCF8574AN                  : byte        = $38;

  MLD01                      : ShortString = 'Auf I²C $39 wird :';
  MLD02                      : ShortString = ' gelesen und TWI wird angehalten...'#13#10;


{$endif}

const
  WakeUp                     = #36; // '$'
  Trans_Start                = #60; // '<'
  Trans_Sektor               = #35; // '#'
  Trans_End                  = #62; // '>'

{$ifdef CPUARM}
const

{$endif}
implementation
end.
